<?php

//禁止直接访问
!defined('IN_SYSTEM') && exit('Access Denied');

if(isset($_GET['id'])){
	$cancelTid = $_GET['id'];	//接收留言参数
	if(check_zzs($cancelTid) == true){
		if($cancelTid == TOP_MESSAGE){
			//连接到MYSQL并打开系统数据库
			$DataBase->open_db();
			//清空置顶留言信息
			if($DataBase->up('setting', "`value` = ''", "WHERE `name` = 'TOP_MESSAGE'") == true){
				ShowMessage("操作成功，置顶留言已成功取消！", 1, "", "", WEB_URL.'/index.php', 1);
			}
			else{
				ShowMessage("取消置顶失败！", 2, "", "", WEB_URL.'/index.php', 1);
			}
			//关闭数据库连接
			$DataBase->close_dblink();
		}
		else{
			exit('Access Denied');	//留言ID不正确
		}
	}
	else{
		exit('Access Denied');	//留言ID不合法
	}
}
else{
	exit('Access Denied');	//未传入留言ID
}

?>